<?php
//--------------------------------------------------------------------
// *** Recent Entries from Same Category ***
// LAST UPDATE: 2009/05/26
// Version    : 1.20
// Copyright  : nJOY
// http://i-njoy.net/
//--------------------------------------------------------------------
//
// control.php
//
//--------------------------------------------------------------------

$module_version = "1.20";

global $blogn_admin;
if (!$blogn_admin) exit;

$inifile = BLOGN_MODDIR."refsc/config.cgi";
$inis = file($inifile);
list($main, $side, $title, ) = explode(",", $inis["0"]);

$menu = array(1 => "設定", "独自タグ", "インストール", "モジュール情報");
$loadtabs = "1";

switch($_POST["method"]) {
	case "edit":
		$side = $_POST["side"];
		$main = $_POST["main"];
		$title = str_replace(",", "&#x2c;", htmlspecialchars(trim($_POST["title"])));
		if (!$title) $title = "Recent Entries from Same Category";

		$fp = fopen($inifile, "w");
		fwrite($fp, "$main,$side,$title,\r\n", 100);
		fclose($fp);

		$message = "設定を変更しました";
		$loadtabs = "1";
		break;
	
	default:
		$message = "";
		break;
}

include BLOGN_MODDIR.$module_name.'/menu.php';

echo $js.'
<div class="blogn_main">

<div'.formatStyle($style["wrapper"]).'>
<h1'.formatStyle($style["mod_title"]).'>カテゴリー別最新記事表示モジュール (ver'.$module_version.')</h1>

<!-- LEFT -->
<div'.formatStyle($style["coll"]).'>
<h2'.formatStyle($style["coll_h2"]).'>メニュー</h2>
<ul'.formatStyle($style["coll_ul"]).'>';

module_control_list($menu);

echo '
</ul>
<noscript><p'.formatStyle($style["nojs"]).'>※ Javascript 無効<br />メニュー内のテキストリンクは機能しないので、● をクリックしてナビゲートしてください。</p></noscript>
<p'.formatStyle($style["credit"]).'>Powered by<br /><a href="http://i-njoy.net/blog/" target="_blank"'.formatStyle($style["credit_a"]).'>nJOY BLOG</a></p>
</div>
 
<!-- RIGHT -->
<div'.formatStyle($style["colr"]).'>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("設定", $menu).'">
<form method="post" action="./admin.php?mode=module&amp;action=edit">
<input type="hidden" name="blogn_module_name" value="'.$module_name.'">

<div class="blogn_bar">現在の設定</div>
<table border="1" cellspacing="0" cellpadding="3" width="500" bgcolor="#ffffff">
<tr><td colspan="2" bgcolor="#dcdcdc"><strong>記事別用設定</strong> {REFSC}</td></tr>

<tr>
<td bgcolor="#e9e9e9" width="150"><strong>見出し</strong></td>
<td width="450"><input type="text" name="title" value="'.$title.'" size="50" /></td>
</tr>

<tr>
<td bgcolor="#e9e9e9"><strong>表示件数</strong></td>
<td><select name="main">';

refsc_select_option($main);

echo '
</select>
</td></tr>

<tr><td colspan="2" bgcolor="#dcdcdc"><strong>サイドバー用設定</strong> {NEFC}～{/NEFC}</td></tr>

<tr>
<td bgcolor="#e9e9e9"><strong>表示件数</strong></td>
<td>
<select name="side">';

refsc_select_option($side);

echo '
</select>
</td></tr>

</table>
<input type="hidden" name="method" value="edit">
<input type="submit" value="変更"'.formatStyle($style["button"]).'> <span'.formatStyle($style["message"]).'>'.$message.'</span>
</form>
<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("独自タグ", $menu).'">
<div class="blogn_bar">独自タグ</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>このモジュールで使える独自タグ</h2>
<h3'.formatStyle($style["mod_h3"]).'>サイドバー用</h3>

<table border="1" cellspacing="0" cellpadding="3" width="500"'.formatStyle($style["mod_table"]).'>
<tr bgcolor="#dcdcdc"><th width="200">独自タグ</th><th>説明</th><th width="50">補足</th></tr>
<tr><td>{NEFC}</td><td>開始タグ</td><td>必須</td></tr>
<tr><td>{NEFCLOOP}</td><td>ループ処理開始タグ</td><td>必須</td></tr>
<tr><td>{NEFCLINK}</td><td>リンク開始</td><td>必須</td></tr>
<tr><td>{NEFCTITLE}</td><td>記事タイトルを出力</td><td>必須</td></tr>
<tr><td>{NEFCYMD}～{/NEFCYMD}</td><td>記事の日付を出力</td><td>-</td></tr>
<tr><td>{NEFCHMS}～{/NEFCHMS}</td><td>記事の日付を出力</td><td>-</td></tr>
<tr><td>{/NEFCLINK}</td><td>リンク終了</td><td>必須</td></tr>
<tr><td>{/NEFCLOOP}</td><td>ループ処理終了タグ</td><td>必須</td></tr>
<tr><td>{/NEFC}</td><td>終了タグ</td><td>必須</td></tr>
</table>

<h3'.formatStyle($style["mod_h3"]).'>記事別用</h3>

<table border="1" cellspacing="0" cellpadding="3" width="500"'.formatStyle($style["mod_table"]).'>
<tr bgcolor="#dcdcdc"><th width="100">独自タグ</th><th>説明</th><th width="50">補足</th></tr>
<tr><td>{REFSC}</td><td>記事が属するカテゴリーの最新記事を出力</td><td>-</td></tr>
</table>

<h2'.formatStyle($style["mod_h2"]).'>このモジュールで出力するスタイルシート用クラス</h2>
<h3'.formatStyle($style["mod_h3"]).'>記事別用</h3>

<table border="1" cellspacing="0" cellpadding="3" width="500"'.formatStyle($style["mod_table"]).'>
<tr bgcolor="#dcdcdc"><th width="100">クラス名</th><th>説明</th><th width="50">HTML</th><th width="50">補足</th></tr>
<tr><td>refsc_title</td><td>見出し</td><td>div</td><td>-</td></tr>
<tr><td>refsc_list</td><td>記事リスト</td><td>ul</td><td>-</td></tr>
</table>

</div>
<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("インストール", $menu).'">
<div class="blogn_bar">インストール</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>インストール方法</h2>
<ol'.formatStyle($style["mod_list"]).'>
<li>「config.cgi」のパーミッションを「666」等に変更する。</li>
<li>スキンの HTML ファイルに独自タグを追加する。</li>
'.$mod_control["co_start"].'<li>必要に応じてモジュール管理画面から動作スイッチを ON にする必要があります。</li>'.$mod_control["co_end"].'
</ol>

<h3'.formatStyle($style["mod_h3"]).'>■ スキンの HTML ファイルへの記述例</h3>
<p'.formatStyle($style["mod_p"]).'>サイドバー用</p>
<pre'.formatStyle($style["pre"]).'>
{NEFC}
&lt;div class="linktitle"&gt;■ NEW ENTRIES ■&lt;/div&gt;
&lt;div class="linktext"&gt;
&lt;ul&gt;
{NEFCLOOP}
&lt;li&gt;{NEFCLINK}{NEFCTITLE} ({NEFCYMD}m/d{/NEFCYMD}){/NEFCLINK}&lt;/li&gt;
{/NEFCLOOP}
&lt;/ul&gt;
&lt;/div&gt;
{/NEFC}
</pre>

<p'.formatStyle($style["mod_p"]).'>記事別用タグは {LOGLOOP}～{/LOGLOOP} 内に以下のタグを追加してください。</p>
<pre'.formatStyle($style["pre"]).'>
{REFSC}
</pre>

</div>

<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("モジュール情報", $menu).'">
<div class="blogn_bar">モジュール情報</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>公式サイト</h2>
<p'.formatStyle($style["mod_p"]).'>もっと詳しい情報や最新版モジュールのダウンロードは「<a href="http://i-njoy.net/tips/plus_ref.shtml" target="_blank">カテゴリー別最新記事表示モジュール</a>」の解説ページからどうぞ。</p>
<p'.formatStyle($style["mod_p"]).'>最新情報は「<a href="http://i-njoy.net/blog/" target="_blank">nJOY BLOG</a>」から入手できます。</p>

<h2'.formatStyle($style["mod_h2"]).'>モジュール構成ファイル</h2>
<ul'.formatStyle($style["package"]).'>
<li'.formatStyle($style["pack_0"]).'>+ blognplus /</li>
<li'.formatStyle($style["pack_1"]).'>+ module /</li>
<li'.formatStyle($style["pack_2"]).'>+ refsc /</li>
<li'.formatStyle($style["pack_3"]).'>- blank.php</li>
<li'.formatStyle($style["pack_3"]).'>- <span'.formatStyle($style["red"]).'>config.cgi</span></li>
<li'.formatStyle($style["pack_3"]).'>- control.php</li>
<li'.formatStyle($style["pack_3"]).'>- function.php</li>
<li'.formatStyle($style["pack_3"]).'>- index.html</li>
<li'.formatStyle($style["pack_3"]).'>- info.php</li>
<li'.formatStyle($style["pack_3"]).'>- install.php</li>
<li'.formatStyle($style["pack_3"]).'>- menu.php</li>
<li'.formatStyle($style["pack_3"]).'>- refsc.php</li>
<li'.formatStyle($style["pack_3"]).'>- style.php</li>
<li'.formatStyle($style["pack_3"]).'>- uninstall.php</li>
<li'.formatStyle($style["pack_3"]).'>- update.php</li>
</ul>

<p'.formatStyle($style["mod_p"]).'><span'.formatStyle($style["red"]).'>赤文字のファイル</span>のパーミッションは「666」や「606」に変更してください。</p>

'.$mod_control["co_start"].'
<h2'.formatStyle($style["mod_h2"]).'>動作 ON/OFF</h2>
<p'.formatStyle($style["mod_p"]).'>モジュールをインストール後に、動作のオン・オフを切り替える必要があります。</p>
<dl'.formatStyle($style["mod_dl"]).'>
<dt>PC</dt><dd>PC 用スキンに独自タグを記述した場合、「PC」欄を <img src="images/on.gif" width="20" height="20" alt="ON" /> にしてください。</dd>
<dt>携帯</dt><dd>携帯 用スキンに独自タグを記述した場合、「携帯」欄 を <img src="images/on.gif" width="20" height="20" alt="ON" /> にしてください。</dd>
</dl>

<h2'.formatStyle($style["mod_h2"]).'>優先順位</h2>
<p'.formatStyle($style["mod_p"]).'>特に制限はありません。</p>
'.$mod_control["co_end"].'

</div>
<hr'.formatStyle($style["hr"]).' />
</div>


</div>
</div>
</div>';


function refsc_select_option($val) {
	$str = "";
	for ($i = 1; $i < 21; $i++) {
		if ( $val == $i ) {
			$str .= '<option selected="selected" value="'.$i.'">'.$i.'件</option>';
		} else {
			$str .= '<option value="'.$i.'">'.$i.'件</option>';
		}
	}
	echo $str;
}
?>
